Bug 179444 - Review Request: perl-Class-Loader
Review Request: perl-Class-Loader
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-31 09:29 EST by Paul Howarth
Modified: 2008-06-24 19:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 04:53:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-01-31 09:29:28 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Class-Loader/perl-Class-Loader.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Class-Loader/perl-Class-Loader-2.03-1.src.rpm
Description:

Certain applications like to defer the decision to use a particular module till
runtime. This is possible in perl, and is a useful trick in situations where
the type of data is not known at compile time and the application doesn't wish
to pre-compile modules to handle all types of data it can work with. Loading
modules at runtime can also provide flexible interfaces for perl modules.
Modules can let the programmer decide what modules will be used by it instead
of hard-coding their names.

Class::Loader is an inheritable class that provides a method, _load(), to load
a module from disk and construct an object by calling its constructor. It also
provides a way to map modules' names and associated metadata with symbolic
names that can be used in place of module names at _load().
Comment 1 Jose Pedro Oliveira 2006-01-31 15:04:31 EST
APPROVED

MD5SUMS:
947a8fff66edf7d1e0a03eee5f583d52  perl-Class-Loader-2.03-1.src.rpm

2e2ace3429380e2dad2f0e82137511b8  Class-Loader-2.03.tar.gz
51d344c0f704a92c00ef64ed5c2d25a9  perl-Class-Loader.spec

Sources:
* Class-Loader-2.03.tar.gz: MD5 digest checked against CPAN tarball

Good:
* URL and Source url are valid
* License verified (main POD page and Makefile.PL)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are ok
* Builds without problems in FC3, and FC5t2
* (Un)installs without problems in FC3, and FC5t2A
* Crypt::Random test suite completed successfully
  (with Class::Loader and Math::Pari)

Random notes:
* This module uses the CPAN module
* Kwalitee report: http://cpants.dev.zsi.at/dist/Class-Loader
Comment 2 Paul Howarth 2006-02-01 04:53:43 EST
Build on target fedora-development-extras succeeded.

FC-4 branch requested.
Comment 3 Paul Howarth 2008-06-23 16:06:52 EDT
Package Change Request
======================
Package Name: perl-Class-Loader
New Branches: EL-4 EL-5
Comment 4 Kevin Fenzi 2008-06-24 19:49:11 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.